unit sammlung;

{$mode objfpc}{$H+}

interface

uses {$IFDEF WINDOWS}Windows, {$ENDIF}
  {$IFDEF UNIX}unix, {$ENDIF}
  Classes, SysUtils, sqlite3conn, playlist;

procedure CreateTextFile(FileName:string);
function ComputerName: String;

var smbdb, pldb, smbpdb: TSqlite3Connection;
    OwnDirection, PCRegName:string;
    BPlaylist: TPlaylist;

implementation

procedure CreateTextFile(FileName:string);
var
  f:text;
begin
  assignfile(f, FileName);
  rewrite(f);
  closefile(f);
end;

{$IFDEF WINDOWS}
function Win32GetComputerName: string;
var
  Size: DWORD;
begin
  Size := MAX_COMPUTERNAME_LENGTH + 1;
  SetLength(Result, Size);
  if GetComputerName(PChar(Result), Size) then
    SetLength(Result, Size)
  else
    Result := '';
end;
{$ENDIF}

function ComputerName: string;
begin
{$IFDEF WINDOWS}
 result := Win32GetComputerName;
{$ENDIF}
{$IFDEF UNIX}
 result := GetHostName;
{$ENDIF}
end;


end.

